org.springframework.data.querydsl.binding

## Class QuerydslBindings.PathBinder<P extends com.querydsl.core.types.Path<? extends T>,T>

- java.lang.Object
- - org.springframework.data.querydsl.binding.QuerydslBindings.PathBinder<P,T>

Direct Known Subclasses:
  QuerydslBindings.AliasingPathBinder

Enclosing class:
  QuerydslBindings

    public class QuerydslBindings.PathBinder<P extends com.querydsl.core.types.Path<? extends T>,T>
    extends Object

A binder for `Path`s.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `all(MultiValueBinding<P,T> binding)` Defines the given `MultiValueBinding` to be used for the paths.
`void` `first(SingleValueBinding<P,T> binding)`
`void` `firstOptional(OptionalValueBinding<P,T> binding)` Defines the given `SingleValueBinding` to be used for the paths.
`protected void` `registerBinding(org.springframework.data.querydsl.binding.QuerydslBindings.PathAndBinding<P,T> binding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### firstOptional

    public void firstOptional(OptionalValueBinding<P,T> binding)

Defines the given `SingleValueBinding` to be used for the paths.

Parameters:
  `binding` - must not be null.

#### first

    public void first(SingleValueBinding<P,T> binding)

#### all

    public void all(MultiValueBinding<P,T> binding)

Defines the given `MultiValueBinding` to be used for the paths.

Parameters:
  `binding` - must not be null.

#### registerBinding

    protected void registerBinding(org.springframework.data.querydsl.binding.QuerydslBindings.PathAndBinding<P,T> binding)